baselineAlgTest-class {baseline} | R Documentation

## Class "baselineAlgTest"

### Description

A class that describes a baseline algorithm test. The test is performed with the function `runTest`.

### Objects from the Class

Objects can be created by calls of the form `new("baselineAlgTest", ...)`.

### Slots

`algorithm`:

  A `"baselineAlg"` object. The baseline algorithm to test.

`param`:

  A named list with parameter values to test. All combinations of parameters are tested.

`extraArgs`:

  A named list of extra parameters to the baseline algorithm. These will be held fixed during the testing.

### Methods

algorithm

  `signature(object = "baselineAlgTest")`: Extract the `algorithm` slot

extraArgs

  `signature(object = "baselineAlgTest")`: Extract the `extraArgs` slot ...

funcName

  `signature(object = "baselineAlgTest")`: Extract the `funcName` slot ...

param

  `signature(object = "baselineAlgTest")`: Extract the `param` slot

runTest

  `signature(object = "baselineAlgTest")`: Run the test.

### Author(s)

Bjørn-Helge Mevik and Kristian Hovde Liland

### See Also

Classes `baselineAlg`, `baselineAlgResult`. Function `runTest`.

### Examples

    showClass("baselineAlgTest")

[Package baseline version 1.2-1 Index]